<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
header("Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . "GMT" );
header("Cache-Control: no-cache, must-revalidate" );
header("Pragma: no-cache" );
header("Content-type: text/x-json");
include($_SERVER['DOCUMENT_ROOT'] .'/script/HeaderInc.php');
if('XMLHttpRequest' == $_SERVER['HTTP_X_REQUESTED_WITH'] && true === isset($_SESSION['SessionAuth']['id']) && 0 < $_SESSION['SessionAuth']['id']) {
  $ObjCryptMod = new CryptMod($MS_SP->Sp_DbConf['site']['SecretPassphrase']);
  $_POST['pass_pass'] = $ObjCryptMod->encrypt($_POST['pass_pass']);
  $ObjPassMod = new PassMod($MS_SP);
  if (true === isset($_POST['pass_id']) && true === is_numeric($_POST['pass_id'])){
    $VarPassId = $ObjPassMod->Edit($_POST);
    if (true === is_numeric($VarPassId)){
      $ArrReturn = array('message' => $MS_SP->Sp_LangMessage['message']['MessRecordEditSuccess']);
    }
    else{
      $ArrReturn = $VarPassId;
    }
  }
  else{
    $VarPassId = $ObjPassMod->Add($_POST);
    if (true === is_numeric($VarPassId)){
      $ArrReturn = array('message' => $MS_SP->Sp_LangMessage['message']['MessRecordAddSuccess']);
    }
    else{
      $ArrReturn = $VarPassId;
    }
  }
}
else{
  $ArrReturn = array('error' => $MS_SP->Sp_LangMessage['error']['ErrFuncAccessDenied']);
}
echo json_encode($ArrReturn);
include($_SERVER['DOCUMENT_ROOT'] .'/script/FooterInc.php');
?>